/******************************************
	PURPOSE:	C++ Class example  for Arduino
	Created by      Rudy Schlaf
	DATE:		12/2013
*******************************************/
//classes are 'blueprints' that can be used to define a number of identical 'objects'
//here we define a class for Arduino digital pins
//classes have 'members' which are the variables and functions that make up a class
//these members can be 'public' (i.e. accessible from outside the class), or 'private' (i.e. only accessible from the inside of the class)
//it is best practice to make all variables 'private' and only make functions 'public', with which we can access the variables from the outside. This guarantees that the variables are always accessed in a way that is intended.

#include "DigitalPin.h"
//******************************************************************************************************************************************************
//Main Arduino sketch
//******************************************************************************************************************************************************

DigitalPin LED1(10); //create ('instantiate') a DigitalPin object called "LED1" that uses pin 10.
DigitalPin LED2(11); //create ('instantiate') a DigitalPin object called "LED2" that uses pin 11.

void setup() 
{                
 LED1.begin(); //call the begin 'method' to define the pinmode 
//notice the name of the function: "LED1" is the DigitalPin object name, and "begin()" refers to the 'class member' named "DigitalPin.begin()" as defined above.
 LED2.begin(); //do the same for LED2
}

void loop() 
{
  
  LED1.on();
  delay(500);
  LED1.off();
  delay(500);
  LED2.on();
  delay(500);
  LED2.off();
  delay(500);
  
 
}


